%define url_ver %(echo %{version} | cut -d. -f1,2)

%define major 0
%define libname %mklibname cryptui %{major}
%define girname %mklibname cryptui-gir %{major}.0
%define develname %mklibname -d cryptui

Name:		libcryptui
Summary:	Interface components for OpenPGP
Version:	3.4.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://seahorse.sourceforge.net/
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.35
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1) >= 2.25.5
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.90.0
BuildRequires:	pkgconfig(libnotify) >= 0.3
BuildRequires:	pkgconfig(sm)
BuildRequires:	gnupg
BuildRequires:	gpgme-devel
BuildRequires:	intltool >= 0.35.0
BuildRequires:	gtk-doc >= 1.9
BuildRequires:	gobject-introspection-devel >= 0.6.4
Requires:	gnupg
Conflicts:	seahorse < 3.1.4

%description
libcryptui is a library used for prompting for PGP keys.

%package -n %{libname}
Group:		System/Libraries
Summary:	Interface components for OpenPGP
Requires:	%{name} = %{version}
Obsoletes:	%{_lib}seahorse0 < 3.1.4

%description -n %{libname}
libcryptui is a library used for prompting for PGP keys.
 
%package -n %{girname}
Group:		System/Libraries
Summary:	GObject Introspection interface description for %{name}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}seahorse-gir0.0 < 3.1.4

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{develname}
Group:		Development/C
Summary:	Header files required to develop with libcryptui
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}seahorse-devel < 3.1.4

%description -n %{develname}
The libcryptui-devel package contains the header files and developer
documentation for the libcryptui library.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-dependency-tracking \
	--disable-update-mime-database \
	--disable-schemas-compile
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang cryptui

#we don't want these
rm -f %{buildroot}%{_libdir}/*.la

%files -f cryptui.lang
%{_bindir}/seahorse-daemon
%{_datadir}/cryptui
%{_mandir}/man1/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/pixmaps/cryptui

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/CryptUI-%{major}.%{major}.typelib

%files -n %{develname}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/gir-1.0/*.gir


%changelog

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226606
- new version 3.4.0

* Fri Mar 09 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 222047
- new version 3.3.91

* Sat Feb 04 2012 wally <wally> 3.3.5-1.mga2
+ Revision: 204440
- new version 3.3.5

* Mon Nov 14 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 167756
- new version 3.2.2
- fixes gsettings-data-convert crashing on every boot (mga#2722)

* Thu Sep 29 2011 wally <wally> 3.2.0-2.mga2
+ Revision: 150382
- add conflicts to ease upgrade from mga1 (mga#2864)

* Sat Sep 24 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 147382
- new version 3.2.0
- clean .spec a bit

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138766
- br sm
- req gnupg
- obsoletes old seahorse packages
- imported package libcryptui

